Skip to main content
GET
/
v1
/
wikis
/
{wiki_id}
/
sources
/
tree
Source Tree
curl --request GET \
  --url https://almanac-backend-83vc.onrender.com/v1/wikis/{wiki_id}/sources/tree \
  --header 'Authorization: Bearer <token>'
{
  "folders": [
    {
      "name": "<string>",
      "parent": "<string>",
      "path": "<string>",
      "source_count": 123
    }
  ],
  "sources": [
    {
      "area": "<string>",
      "created_at": "<string>",
      "folder": "<string>",
      "import_batch_id": "<string>",
      "mime_type": "<string>",
      "name": "<string>",
      "original_filename": "<string>",
      "path": "<string>",
      "sha256": "<string>",
      "size_bytes": 123,
      "source_id": "<string>",
      "status_label": "<string>",
      "updated_at": "<string>",
      "wiki_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

wiki_id
string
required

Response

Successful Response

folders
HostedSourceFolderDTO · object[]
required
sources
HostedSourceDTO · object[]
required